[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Metrics not accessible



I think the value needs to be:

openshift_hosted_metrics_deployer_version=v3.6.0

​The value seems to be used verbatim as the tag name, so the 'v' is necessary.
Seems to work for me with the 'v' present.

Tim

On 18/09/2017 18:14, Mateus Caruccio wrote:
In fact there is
​a
var
openshift_hosted_metrics_deployer_version=3.6.0
​ [1]​ but looks like default value "3.6.0" is not being enforced.




Em 18 de set de 2017 11:04, "Tim Dudgeon" <tdudgeon ml gmail com> escreveu:
That worked for me too.
I used web console to look at the hawkular-metrics replication controller definition, edited its yaml and changed the image from docker.io/openshift/origin-metrics-hawkular-metrics:latest to docker.io/openshift/origin-metrics-hawkular-metrics:v3.6.0 and then it ran OK.

So what is the best way to deal with this?

My ansible inventory is specifying:
openshift_release=v3.6
though the openshift/openshift-ansible repo is checked out from master. Does not the openshift_release variable tell the installer to use images tagged with v3.6?

Is there a way to specify the right images to use to the ansible installer.

And, presumably this is a bug that should be reported to the issues for openshift/openshift-ansible? Happy to do so if someone can confirm.

Tim


On 14/09/2017 11:29, Daniel Kučera wrote:
Thank you! That helped. I was running latest from ansible installation.

Changing to v3.6.0 helped and now it runs ok.

2017-09-14 12:11 GMT+02:00 Mateus Caruccio <mateus caruccio getupcloud com>:
Check if you are running the latest version of the images. If that is your
case change it to v3.6.0 for cassandra, metrics and heapster and restart all
of them as stated before.

Ansible always installs the :latest tag of the images by default.

Em 14 de set de 2017 07:05, "Daniel Kučera" <daniel kucera gmail com>
escreveu:
I'm getting the same error, is there any workaround?


2017-09-14 09:50:00,572 SEVERE
[com.google.common.util.concurrent.ExecutionList]
(cluster3-nio-worker-7) RuntimeException while executing runnable
rx.observable.ListenableFutureObservable$2$1 54d5c01c with executor

com.google.common.util.concurrent.MoreExecutors$ListeningDecorator 29a43cd3:
java.util.concurrent.RejectedExecutionException: Task
rx.observable.ListenableFutureObservable$2$1 54d5c01c rejected from
java.util.concurrent.ThreadPoolExecutor 2d127c2f[Terminated, pool size
= 0, active threads = 0, queued tasks = 0, completed tasks = 78]

--

S pozdravom / Best regards
Daniel Kucera.

_______________________________________________
users mailing list
users lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/users



_______________________________________________
users mailing list
users lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/users


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]